## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Update Saved Filter

**PUT** /v1/saved-filters/{filterId}

**cURL**

```bash
curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "name": {},
  "category": {},
  "condition": {
    "type": "GROUP",
    "conditions": [{}]
  },
  "displayCurrencyCode": "<string>",
  "displayLocale": "<string>"
}
'
```

**Python**

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId}"

payload = {
    "version": 123,
    "name": {},
    "category": {},
    "condition": {
        "type": "GROUP",
        "conditions": [{}]
    },
    "displayCurrencyCode": "<string>",
    "displayLocale": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

**JavaScript**

```javascript
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    version: 123,
    name: {},
    category: {},
    condition: {type: 'GROUP', conditions: [{}]},
    displayCurrencyCode: '<string>',
    displayLocale: '<string>'
  })
};

fetch('https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'version' => 123,
    'name' => [],
    'category' => [],
    'condition' => [
        'type' => 'GROUP',
        'conditions' => [[]]
    ],
    'displayCurrencyCode' => '<string>',
    'displayLocale' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Go**

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId}"

payload := strings.NewReader("{\n  \"version\": 123,\n  \"name\": {},\n  \"category\": {},\n  \"condition\": {\n    \"type\": \"GROUP\",\n    \"conditions\": [{}]\n  },\n  \"displayCurrencyCode\": \"<string>\",\n  \"displayLocale\": \"<string>\"\}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Java**

```java
HttpResponse<String> response = Unirest.put("https://{tenant}.mindbridge.ai/api/v1/saved-filters/{filterId}")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"version\": 123,\n  \"name\": {},\n  \"category\": {},\n  \"condition\": {\n    \"type\": \"GROUP\",\n    \"conditions\": [{}]\n  },\n  \"displayCurrencyCode\": \"<string>\",\n  \"displayLocale\": \"<string>\"}")
  .asString();
```

**Response** 200 - application/json

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "analysisTypeId": "<string>",
  "organizationId": "<string>",
  "libraryId": "<string>",
  "engagementId": "<string>",
  "name": {},
  "category": {},
  "displayCurrencyCode": "<string>",
  "displayLocale": "<string>",
  "condition": {
    "type": "GROUP",
    "conditions": [{}]
  },
  "legacyFilterFormat": true
}
```
